# Copyright (C) 2024 SUSE LLC
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License along
# with this program; if not, see <http://www.gnu.org/licenses/>.

Name:           sypper
Version:        0.08
Release:        1.4
License:        GPL-2.0-or-later
Summary:        Simple perl utility emulating zypper download
Group:          System/Packages
Url:            https://github.com/andrii-suse/sypper
Source:         %{name}-%{version}.tar.xz
%{perl_requires}
Requires:       perl-base = %{perl_version}
Requires:       perl-solv
Requires:       perl-Mojolicious
Requires:       perl-Config-IniFiles
Requires:       perl-IO-Socket-SSL
BuildRequires:  make
BuildArch:      noarch

%description
Investigate and benchmark various package download strategies

%prep
%setup -q

%build

%install
%make_install
mkdir -p %{buildroot}%{_bindir}
ln -s %{_datadir}/sypper/script/sypper %{buildroot}%{_bindir}/sypper

%files
%{_datadir}/sypper
%{_bindir}/sypper


%changelog
* Tue Aug 27 2024 Andrii Nikitin <andrii.nikitin@suse.com>
- Update to version 0.08:
  * Ignore recommended packages
* Tue Aug 27 2024 Andrii Nikitin <andrii.nikitin@suse.com>
- Update to version 0.07:
  * Fix handling exceptions during refresh
* Mon Apr 22 2024 Andrii Nikitin <andrii.nikitin@suse.com>
- Update to version 0.06:
  * Avoid double slash after baseurl
* Thu Mar 14 2024 Andrii Nikitin <andrii.nikitin@suse.com>
- Update to version 0.05:
  * Add --non-interactive flag
  * Always load system repo
* Thu Mar  7 2024 Andrii Nikitin <andrii.nikitin@suse.com>
- Update to version 0.04:
  * Skip primary.xml download when cached
  * Skip rpm download when cached
  * Do not fetch updateinfo
  * Fix mirrors are not loaded if repo is cached
  * fix: system repo never refreshes
  * Dont load system repo with custom SYPP_ROOT
* Fri Feb  2 2024 Andrii Nikitin <andrii.nikitin@suse.com>
- Update to version 0.03:
  * Add basic support for variables in repo files
  * Improve error reporting
  * Format README.md
* Wed Jan 24 2024 Andrii Nikitin <andrii.nikitin@suse.com>
- Update to version 0.02:
  * Add readme and license files
  * Use /var/cache/zypp when root
  * Implement concurrency in repo refresh
  * Add --force flag to refresh
  * fix typo missing brakets in $element->type
* Thu Jan 18 2024 Andrii Nikitin <andrii.nikitin@suse.com>
- Update to version 0.01:
  * ci: add environ tests
  * Add concurrency option to commands
  * Add concurrent download
  * ci: Add ci for system tests
  * t: Add system test to use with zypper
  * t: Add system test
  * Cache list of mirrors during repo refresh
  * Add support for .mirrors file
  * Add support for multiple url in baseurl
  * download
* Fri Jan 12 2024 Andrii Nikitin <andrii.nikitin@suse.com> - 0.01
- Initial release 0.01
